Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.deployment.scanner
Interface HttpURLDeploymentScannerMBean

All Superinterfaces:
  DeploymentScannerMBean, Service, ServiceMBean, URLDeploymentScannerMBean

All Known Implementing Classes:
  HttpURLDeploymentScanner

public interface HttpURLDeploymentScannerMBean
extends URLDeploymentScannerMBean

MBean interface.

Field Summary

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`String` | `getDefaultHttpDirectoryDownloadUrl()` Default URL to be used when downloading files from a remote HTTP folder If none is provided, the one found in jboss.server.home.url is used
`String` | `getDefaultHttpDirectoryListerUrl()` Default URL to be used when listing files on a remote HTTP folder If none is provided, the one found in jboss.netboot.listing.url is used If the URL is X, the resulting URL that is used to list the content of folder "foo" will be "Xdir=foo": the provided URL must support this naming convention
`void` | `scan()` Scan for deployment changes.
`void` | `setDefaultHttpDirectoryDownloadUrl(String url)`
`void` | `setDefaultHttpDirectoryListerUrl(String url)`
`void` | `setURLList(List list)`
`void` | `setURLs(String listspec)`

Methods inherited from interface org.jboss.deployment.scanner.URLDeploymentScannerMBean
`addURL, addURL, getFilter, getRecursiveSearch, getURLComparator, getURLList, hasURL, hasURL, removeURL, removeURL, setFilter, setRecursiveSearch, setURLComparator`

Methods inherited from interface org.jboss.deployment.scanner.DeploymentScannerMBean
`getDeployer, isScanEnabled, setDeployer, setScanEnabled, setScanPeriod`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Method Detail

### getDefaultHttpDirectoryListerUrl

    public String getDefaultHttpDirectoryListerUrl()

  Default URL to be used when listing files on a remote HTTP folder If none is provided, the one found in jboss.netboot.listing.url is used If the URL is X, the resulting URL that is used to list the content of folder "foo" will be "Xdir=foo": the provided URL must support this naming convention

### setDefaultHttpDirectoryListerUrl

    public void setDefaultHttpDirectoryListerUrl(String url)

### getDefaultHttpDirectoryDownloadUrl

    public String getDefaultHttpDirectoryDownloadUrl()

  Default URL to be used when downloading files from a remote HTTP folder If none is provided, the one found in jboss.server.home.url is used

### setDefaultHttpDirectoryDownloadUrl

    public void setDefaultHttpDirectoryDownloadUrl(String url)

### setURLList

    public void setURLList(List list)

  Specified by:
    `setURLList` in interface `URLDeploymentScannerMBean`

### setURLs

    public void setURLs(String listspec)
                 throws MalformedURLException

  Specified by:
    `setURLs` in interface `URLDeploymentScannerMBean`
  Throws:
    `MalformedURLException`

### scan

    public void scan()
              throws Exception

  Description copied from interface: `DeploymentScannerMBean`
  Scan for deployment changes.

  Specified by:
    `scan` in interface `URLDeploymentScannerMBean`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.